NX Open C++ Reference Guide
|
Represents a target object. More...
Public Member Functions | |
NXOpen::Expression * | Distance () |
Returns the offset/translate distance Created in NX4.0.0. | |
NXOpen::ScCollector * | EndcapFace () |
Returns the face to produce End-Cap Created in NX4.0.0. | |
NXOpen::ISurface * | EndcapPlane () |
Returns the plane to produce End-Cap Created in NX4.0.0. | |
bool | FlipDirection () |
Returns the flip flag for translation direction Created in NX4.0.0. | |
void | SetDistance (const NXString &distance) |
The distance expression formula string for offset or translation Created in NX4.0.0. | |
void | SetDistance (const char *distance) |
The distance expression formula string for offset or translation Created in NX4.0.0. | |
void | SetEndcapFace (NXOpen::ScCollector *endcapFaceCollector) |
Sets the face to produce End-Cap Created in NX4.0.0. | |
void | SetEndcapPlane (NXOpen::ISurface *endcapPlane) |
Sets the plane to produce End-Cap Created in NX4.0.0. | |
void | SetFlipDirection (bool dirFlip) |
Sets the flip flag for translation direction Created in NX4.0.0. | |
void | SetTargetFace (NXOpen::ScCollector *targetFaceCollector) |
Sets the target faces on which the emboss places. | |
NXOpen::ScCollector * | TargetFace () |
Returns the target faces on which the emboss places. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a target object.
<br> This class provides methods to set and get the target faces, the End-Cap source entity and offset/translation distance value. <br> <br> Following are default values and options: <br> <br> <b>Target Faces</b> User must set it <br> <br> <b>End-Cap Faces</b> User must set it when End-Cap source option is face. <br> <br> <b>End-Cap Plane</b> User must set it when End-Cap source option is plane. <br> <br> <b>End-Cap Translate Direction Flip</b> false <br> <br> <b>Target Offset/Translate Distance</b> 2.0/5.0[in/mm] <br>
Created in NX4.0.0.
NXOpen::Expression* NXOpen::Features::EmbossTarget::Distance | ( | ) |
Returns the offset/translate distance
Created in NX4.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::EmbossTarget::EndcapFace | ( | ) |
Returns the face to produce End-Cap
Created in NX4.0.0.
License requirements : None
NXOpen::ISurface* NXOpen::Features::EmbossTarget::EndcapPlane | ( | ) |
Returns the plane to produce End-Cap
Created in NX4.0.0.
License requirements : None
bool NXOpen::Features::EmbossTarget::FlipDirection | ( | ) |
Returns the flip flag for translation direction
Created in NX4.0.0.
License requirements : None
void NXOpen::Features::EmbossTarget::SetDistance | ( | const NXString & | distance | ) |
The distance expression formula string for offset or translation
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
distance | The distance expression formula string for offset or translation NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::EmbossTarget::SetDistance | ( | const char * | distance | ) |
The distance expression formula string for offset or translation
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
distance | The distance expression formula string for offset or translation NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::EmbossTarget::SetEndcapFace | ( | NXOpen::ScCollector * | endcapFaceCollector | ) |
Sets the face to produce End-Cap
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
endcapFaceCollector | Faces to create endcap if End-Cap source option is Features::EmbossLimit::EndcapSourceOptionFace |
void NXOpen::Features::EmbossTarget::SetEndcapPlane | ( | NXOpen::ISurface * | endcapPlane | ) |
Sets the plane to produce End-Cap
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
endcapPlane | Plane to create End-Cap if End-Cap source option is Features::EmbossLimit::EndcapSourceOptionPlane |
void NXOpen::Features::EmbossTarget::SetFlipDirection | ( | bool | dirFlip | ) |
Sets the flip flag for translation direction
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
dirFlip | If true, the emboss direction is reversed to the defined translation direction |
void NXOpen::Features::EmbossTarget::SetTargetFace | ( | NXOpen::ScCollector * | targetFaceCollector | ) |
Sets the target faces on which the emboss places.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
targetFaceCollector | Target faces on which the emboss places. |
NXOpen::ScCollector* NXOpen::Features::EmbossTarget::TargetFace | ( | ) |
Returns the target faces on which the emboss places.
Created in NX4.0.0.
License requirements : None